@use "@angular/material" as mat;
@use "ec-simpl-labs-palettes" as palette;
@use "sass:map";

$chips-success-palette: (
  100: mat.get-color-from-palette(palette.$EC-success-palette, 100),
  // 500: #24a148 -> 200: #92d0a4,
  500: mat.get-color-from-palette(palette.$EC-success-palette, 100),
  700: mat.get-color-from-palette(palette.$EC-success-palette, 700),
  contrast: (
    500: mat.get-color-from-palette(palette.$EC-success-palette, 900),
  ),
);

$chips-warning-palette: (
  100: mat.get-color-from-palette(palette.$EC-warning-palette, 100),
  // 500: #f39811 -> 200: #f9cc88,
  500: mat.get-color-from-palette(palette.$EC-warning-palette, 100),
  700: mat.get-color-from-palette(palette.$EC-warning-palette, 700),
  contrast: (
    500: mat.get-color-from-palette(palette.$EC-warning-palette, 900),
  ),
);

$chips-error-palette: (
  100: mat.get-color-from-palette(palette.$EC-error-palette, 100),
  // 500: #da1e28 -> 200: #ed8f94
  500: mat.get-color-from-palette(palette.$EC-error-palette, 100),
  700: mat.get-color-from-palette(palette.$EC-error-palette, 700),
  contrast: (
    500: mat.get-color-from-palette(palette.$EC-error-palette, 900),
  ),
);

$chips-primary: mat.define-palette($chips-success-palette);
$chips-accent: mat.define-palette($chips-warning-palette);
$chips-warn: mat.define-palette($chips-error-palette);

$ec-chips-theme: mat.define-light-theme(
  (
    color: (
      primary: $chips-primary,
      accent: $chips-accent,
      warn: $chips-warn,
    ),
  )
);

.ec-chips-theme {
  @include mat.core-theme($ec-chips-theme);
  @include mat.chips-theme($ec-chips-theme);
}
